---
title: MHL record
slug: mhl-record
docTags: 
createdAt: 2022-04-13T09:35:15.000Z
---

Methods allow you to get a complete list or a specific MHL record in Eyrene, view information about them, update all fields, or only select MHL record fields. Also, you can delete the MHL record by ID.

***

::::ExpandableHeading
# <font color="#2166ae">GET</font> /mhl\_record

Retrieve an [MHL](https://docs.eyrene.com/mhl) record.

:::ApiMethodV2
```json
{
  "tab": "request",
  "url": "https://instance_name/api/v1.5/mhl_record/",
  "name": "Request example",
  "method": "GET",
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [
      {
        "kind": "required",
        "name": "Authorization",
        "type": "string",
        "description": "String in \"Token XXXXXX...\" format."
      }
    ],
    "bodyDataParameters": [
      {
        "kind": "optional",
        "name": "limit",
        "type": "string",
        "description": "The number of results to return per page."
      },
      {
        "kind": "optional",
        "name": "offset",
        "type": "string",
        "description": "The initial index from which to return the results."
      }
    ],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "1rlkLKO5JlhTk3S80Ce0g",
        "code": "{\n   \"count\":2,\n   \"next\":\"http://example.com\",\n   \"previous\":null,\n   \"results\":[\n      {\n         \"id\":9378,\n         \"name\":\"Latvian sour cream 5 kg\",\n         \"musthavelist\":56,\n         \"sku\":32562,\n         \"sku1\":null,\n         \"sku2\":null,\n         \"sku3\":null,\n         \"sku4\":null,\n         \"sku5\":null,\n         \"sku6\":null\n      },\n      {\n         \"id\":4326,\n         \"name\":\"Milk MARGE bez laktozes UHT 3,2% 1l\",\n         \"musthavelist\":41,\n         \"sku\":32466,\n         \"sku1\":32468,\n         \"sku2\":null,\n         \"sku3\":null,\n         \"sku4\":null,\n         \"sku5\":null,\n         \"sku6\":null\n      }\n   ]\n}",
        "language": "200",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "1rlkLKO5JlhTk3S80Ce0g"
  },
  "examples": {
    "languages": [
      {
        "id": "Cu1xhLxZ5PHAuLFx_iIf1",
        "code": "curl –i –X GET\r\n  https://test.eyrene.com/api/v1.5/mhl_record/\r\n  -H ‘Authorization: Token 39fbb6e9-fbf9-459a-9e1b-416dbcf51875e’ \r\n  -F \"limit=2\" \\\r\n  -F \"offset=0\" ",
        "language": "curl",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "Cu1xhLxZ5PHAuLFx_iIf1"
  },
  "description": "GET /mhl_record",
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "autoGeneratedAnchorSlug": "request-example",
  "legacyHash": "Ln3YgpDmRrM0vfSFtlMNN"
}
```
:::

## Response parameters

[​](https://help.inspector-cloud.com/en/docs/api/backend/methods/v1.5/catalog/brands#response-definitions)

`count` *integer*

The number of MHL records.

***

`next` *string (uri)* <font color="#2166ae">Nullable</font>

Next page.

***

`previous` *string (uri)* <font color="#2166ae">Nullable</font>

Previous page.

***

`results` *array of objects*

An array of objects with information about MHL records.

- `id` *string*
  Unique ID.
- `name` *string*
  Human-readable name.
- `musthavelist` *string*
  [Must-have list](https://docs.eyrene.com/mhl) ID.
- `sku` *string*
  [SKU](https://docs.eyrene.com/sku) ID.
- `sku1` *string*
  SKU ID.
- `sku2` *string*
  SKU ID.
- `sku3` *string*
  SKU ID.
- `sku4` *string*
  SKU ID.
- `sku5` *string*
  SKU ID.
- `sku6` string
  SKU ID.

***

Six optional sku1-sku6 fields are combined with logical OR when checking the MHL compliance:

*Compliant = (sku is present) OR (sku1 is present) OR (sku2 is present) ... OR (sku6 is present)*

***


::::

***

::::ExpandableHeading
# <font color="#3b9f0f">POST</font> /mhl\_record

Сreate a new [MHL](https://docs.eyrene.com/mhl) record.

:::ApiMethodV2
```json
{
  "tab": "request",
  "url": "https://instance_name/api/v1.5/mhl_record/",
  "name": "Request example",
  "method": "POST",
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [
      {
        "kind": "required",
        "name": "Authorization",
        "type": "string",
        "description": "String in \"Token XXXXXX...\" format."
      }
    ],
    "bodyDataParameters": [
      {
        "kind": "optional",
        "name": "id",
        "type": "string",
        "description": "Unique ID."
      },
      {
        "kind": "optional",
        "name": "name",
        "type": "string",
        "description": "Human-readable name."
      },
      {
        "kind": "optional",
        "name": "musthavelist",
        "type": "string",
        "description": "Must have list ID."
      },
      {
        "kind": "optional",
        "name": "sku",
        "type": "string",
        "description": "SKU ID."
      },
      {
        "kind": "optional",
        "name": "sku1-sku6",
        "type": "string",
        "description": "SKU ID."
      }
    ],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "xcVqafQ2RCx_iOpUkQJ43",
        "code": "{\n   \"result\": \"CREATED\"\n}",
        "language": "201",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "xcVqafQ2RCx_iOpUkQJ43"
  },
  "examples": {
    "languages": [
      {
        "id": "Cu1xhLxZ5PHAuLFx_iIf1",
        "code": "curl –i –X POST\r\n  https://test.eyrene.com/api/v1.5/mhl_record/ \r\n  -H ‘Authorization: Token 39fbb6e9-fbf9-459a-9e1b-416dbcf51875e’ \r\n  -F \"id=459\" \\\r\n  -F \"name=Latvian sour cream 5 kg\" \\\r\n  -F \"musthavelist=156\" \\\r\n  -F \"sku=32466\" \\\r\n  -F \"sku=32468\"",
        "language": "curl",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "Cu1xhLxZ5PHAuLFx_iIf1"
  },
  "description": "POST /mhl_record",
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "autoGeneratedAnchorSlug": "request-example-1",
  "legacyHash": "wkR_O6Te8Dn4f1G_MZo7-"
}
```
:::
::::

***

::::ExpandableHeading
# <font color="#2166ae">GET</font> /mhl\_record/\{id}

Retrieve detailed information about [MHL](https://docs.eyrene.com/mhl) records by ID.

:::ApiMethodV2
```json
{
  "tab": "request",
  "url": "https://instance_name/api/data/v1.5/mhl_record/{id}",
  "name": "Request example",
  "method": "GET",
  "request": {
    "pathParameters": [
      {
        "kind": "required",
        "name": "id",
        "type": "string",
        "description": "MHL record ID."
      }
    ],
    "queryParameters": [],
    "headerParameters": [
      {
        "kind": "required",
        "name": "Authorization",
        "type": "string",
        "description": "String in \"Token XXXXXX...\" format."
      }
    ],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "BcmDi-d9UM-V1Lp9EpJ4I",
        "code": "{\n   \"id\":9378,\n   \"name\":\"Latvian sour cream 5 kg\",\n   \"musthavelist\":56,\n   \"sku\":32562,\n   \"sku1\":null,\n   \"sku2\":null,\n   \"sku3\":null,\n   \"sku4\":null,\n   \"sku5\":null,\n   \"sku6\":null\n}",
        "language": "200",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "BcmDi-d9UM-V1Lp9EpJ4I"
  },
  "examples": {
    "languages": [
      {
        "id": "Cu1xhLxZ5PHAuLFx_iIf1",
        "code": "curl –i –X GET\r\n  https://test.eyrene.com/api/v1.5/mhl_record/9378/ \r\n  -H ‘Authorization: Token 39fbb6e9-fbf9-459a-9e1b-416dbcf51875e’ ",
        "language": "curl",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "Cu1xhLxZ5PHAuLFx_iIf1"
  },
  "description": "GET /mhl_record/{id}",
  "currentNewParameter": {
    "label": "Path Parameter",
    "value": "pathParameters"
  },
  "autoGeneratedAnchorSlug": "request-example-2",
  "legacyHash": "RClWblosG19cCXVsbxYuo"
}
```
:::

## Response parameters

***

`count` *integer*

The number of MHL records.

***

`next` *string (uri)* <font color="#2166ae">Nullable</font>

Next page.

***

`previous` *string (uri)* <font color="#2166ae">Nullable</font>

Previous page.

***

`results` *array of objects*

An array of objects with information about MHL records.

- `id` *string*
  Unique ID.
- `name` *string*
  Human-readable name.
- `musthavelist` *string*
  [Must-have list](https://docs.eyrene.com/mhl) ID.
- `sku` *string*
  [SKU](https://docs.eyrene.com/sku) ID.
- `sku1` *string*
  SKU ID.
- `sku2` *string*
  SKU ID.
- `sku3` *string*
  SKU ID.
- `sku4` *string*
  SKU ID.
- `sku5` *string*
  SKU ID.
- `sku6` string
  SKU ID.

***

Six optional sku1-sku6 fields are combined with logical OR when checking the MHL compliance:

*Compliant = (sku is present) OR (sku1 is present) OR (sku2 is present) ... OR (sku6 is present)*

***

[](https://help.inspector-cloud.com/en/docs/api/backend/methods/v1.5/catalog/brands_id#response-definitions)
::::

***

::::ExpandableHeading
# <font color="#f77d05">PUT</font> /mhl\_record/\{id}

Update all fields of the [MHL](https://docs.eyrene.com/mhl) record.

:::ApiMethodV2
```json
{
  "tab": "request",
  "url": "https://instance_name/api/v1.5/mhl_record/{id}",
  "name": "Request example",
  "method": "PUT",
  "request": {
    "pathParameters": [
      {
        "kind": "required",
        "name": "id",
        "type": "string",
        "description": "MHL record ID."
      }
    ],
    "queryParameters": [],
    "headerParameters": [
      {
        "kind": "required",
        "name": "Authorization",
        "type": "string",
        "description": "String in \"Token XXXXXX...\" format."
      }
    ],
    "bodyDataParameters": [
      {
        "kind": "optional",
        "name": "id",
        "type": "string",
        "description": "Unique ID."
      },
      {
        "kind": "optional",
        "name": "name",
        "type": "string",
        "description": "Human-readable name."
      },
      {
        "kind": "optional",
        "name": "musthavelist",
        "type": "string",
        "description": "MHL ID."
      },
      {
        "kind": "optional",
        "name": "sku",
        "type": "string",
        "description": "SKU ID."
      },
      {
        "kind": "optional",
        "name": "sku1-sku6",
        "type": "string",
        "description": "SKU ID."
      }
    ],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "L7oDtGV1IY14Re9Xv3AXQ",
        "code": "{\n   \"id\":4326,\n   \"name\":\"Latvian sour cream 5 kg\",\n   \"musthavelist\":41,\n   \"sku\":32466,\n   \"sku1\":32468,\n   \"sku2\":32469,\n   \"sku3\":32470,\n   \"sku4\":32471,\n   \"sku5\":32472,\n   \"sku6\":32473\n}",
        "language": "200",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "L7oDtGV1IY14Re9Xv3AXQ"
  },
  "examples": {
    "languages": [
      {
        "id": "GBxujaKFUEJ3yAzlqWoID",
        "code": "curl –i –X PUT\n  https://test.inspector-cloud.com/api/v1.5/mhl_record/9378/ \n  -H ‘Authorization: Token 39fbb6e9-fbf9-459a-9e1b-416dbcf51875e’ \n  -F \"id=4326\" \\\n  -F \"name=Latvian sour cream 5 kg\" \\\n  -F \"musthavelist=41\" \\\n  -F \"sku=32466\" \\\n  -F \"sku1=32468\" \\\n  -F \"sku2=32469\" \\\n  -F \"sku3=32470\" \\\n  -F \"sku4=32471\" \\\n  -F \"sku5=32472\" \\\n  -F \"sku5=32473\"",
        "language": "curl",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "GBxujaKFUEJ3yAzlqWoID"
  },
  "description": "PUT /mhl_record/{id}",
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "autoGeneratedAnchorSlug": "request-example-3",
  "legacyHash": "T8fj2naHgNrwJ9EU5inKe"
}
```
:::

## [​](https://help.inspector-cloud.com/en/docs/api/backend/methods/v1.5/catalog/brands_id#response-definitions-1)Response parameters

***

`count` *integer*

The number of MHL records.

***

`next` *string (uri)* <font color="#2166ae">Nullable</font>

Next page.

***

`previous` *string (uri)* <font color="#2166ae">Nullable</font>

Previous page.

***

`results` *array of objects*

An array of objects with information about MHL records.

- `id` *string*
  Unique ID.
- `name` *string*
  Human-readable name.
- `musthavelist` *string*
  [Must-have list](https://docs.eyrene.com/mhl) ID.
- `sku` *string*
  [SKU](https://docs.eyrene.com/sku) ID.
- `sku1` *string*
  SKU ID.
- `sku2` *string*
  SKU ID.
- `sku3` *string*
  SKU ID.
- `sku4` *string*
  SKU ID.
- `sku5` *string*
  SKU ID.
- `sku6` string
  SKU ID.

***

Six optional sku1-sku6 fields are combined with logical OR when checking the MHL compliance:

*Compliant = (sku is present) OR (sku1 is present) OR (sku2 is present) ... OR (sku6 is present)*

***


::::

***

::::ExpandableHeading
# <font color="#03d1eb">PATCH</font> /mhl\_record/\{id}

Update some of the fields in the [MHL](https://docs.eyrene.com/mhl) record.

:::ApiMethodV2
```json
{
  "tab": "request",
  "url": "https://instance_name/api/v1.5/mhl/{id}",
  "name": "Request example",
  "method": "PATCH",
  "request": {
    "pathParameters": [
      {
        "kind": "required",
        "name": "id",
        "type": "string",
        "description": "MHL record ID."
      }
    ],
    "queryParameters": [],
    "headerParameters": [
      {
        "kind": "required",
        "name": "Authorization",
        "type": "string",
        "description": "String in \"Token XXXXXX...\" format."
      }
    ],
    "bodyDataParameters": [
      {
        "kind": "optional",
        "name": "id",
        "type": "string",
        "description": "Unique ID."
      },
      {
        "kind": "optional",
        "name": "name",
        "type": "string",
        "description": "Human-readable name."
      },
      {
        "kind": "optional",
        "name": "musthavelist",
        "type": "string",
        "description": "MHL ID."
      },
      {
        "kind": "optional",
        "name": "sku",
        "type": "string",
        "description": "SKU ID."
      },
      {
        "kind": "optional",
        "name": "sku1-sku6",
        "type": "string",
        "description": "SKU ID."
      }
    ],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "BcmDi-d9UM-V1Lp9EpJ4I",
        "code": "{\n   \"id\":9378,\n   \"name\":\"Latvian sour cream 5 kg\",\n   \"musthavelist\":56,\n   \"sku\":32466,\n   \"sku1\":32468,\n   \"sku2\":32469,\n   \"sku3\":32470,\n   \"sku4\":32471,\n   \"sku5\":32472,\n   \"sku6\":32473\n}",
        "language": "200",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "BcmDi-d9UM-V1Lp9EpJ4I"
  },
  "examples": {
    "languages": [
      {
        "id": "Cu1xhLxZ5PHAuLFx_iIf1",
        "code": "curl –i –X PATCH\r\n  https://test.eyrene.com/api/v1.5/mhl_record/9378/ \r\n  -H ‘Authorization: Token 39fbb6e9-fbf9-459a-9e1b-416dbcf51875e’\r\n  -F \"sku=32466\" \\\r\n  -F \"sku1=32468\" \\\r\n  -F \"sku2=32469\" \\\r\n  -F \"sku3=32470\" \\\r\n  -F \"sku4=32471\" \\\r\n  -F \"sku5=32472\" \\\r\n  -F \"sku5=32473\"",
        "language": "curl",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "Cu1xhLxZ5PHAuLFx_iIf1"
  },
  "description": "PATCH /mhl_record/{id}",
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "autoGeneratedAnchorSlug": "request-example-4",
  "legacyHash": "qfNz86ho9VlemnJq6d_JA"
}
```
:::

## Response parameters[​](https://help.inspector-cloud.com/en/docs/api/backend/methods/v1.5/catalog/brands_id#response-definitions-1)

***

`count` *integer*

The number of MHL records.

***

`next` *string (uri)* <font color="#2166ae">Nullable</font>

Next page.

***

`previous` *string (uri)* <font color="#2166ae">Nullable</font>

Previous page.

***

`results` *array of objects*

An array of objects with information about MHL records.

- `id` *string*
  Unique ID.
- `name` *string*
  Human-readable name.
- `musthavelist` *string*
  [Must-have list](https://docs.eyrene.com/mhl) ID.
- `sku` *string*
  [SKU](https://docs.eyrene.com/sku) ID.
- `sku1` *string*
  SKU ID.
- `sku2` *string*
  SKU ID.
- `sku3` *string*
  SKU ID.
- `sku4` *string*
  SKU ID.
- `sku5` *string*
  SKU ID.
- `sku6` string
  SKU ID.

***

Six optional sku1-sku6 fields are combined with logical OR when checking the MHL compliance:

*Compliant = (sku is present) OR (sku1 is present) OR (sku2 is present) ... OR (sku6 is present)*

***


::::

***

::::ExpandableHeading
# <font color="#2166ae"></font><font color="#e95c5c">DELETE</font> /mhl\_record/\{id}

Delete [MHL](https://docs.eyrene.com/mhl) record by ID.

:::ApiMethodV2
```json
{
  "tab": "request",
  "url": "https://instance_name/api/v1.5/mhl_record/{id}",
  "name": "Request example",
  "method": "DELETE",
  "request": {
    "pathParameters": [
      {
        "kind": "required",
        "name": "id",
        "type": "string",
        "description": "MHL record ID."
      }
    ],
    "queryParameters": [],
    "headerParameters": [
      {
        "kind": "required",
        "name": "Authorization",
        "type": "string",
        "description": "String in \"Token XXXXXX...\" format."
      }
    ],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "dU9xR9j8Bu4jftmV8BprY",
        "code": "{\n   \"result\":\"OK\"\n}",
        "language": "200",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "dU9xR9j8Bu4jftmV8BprY"
  },
  "examples": {
    "languages": [
      {
        "id": "N8QhhTSDO9fbQybTRclDg",
        "code": "curl –i –X DELETE\n  https://test.eyrene.com/api/v1.5/mhl_record/9378/\n  -H ‘Authorization: Token 39fbb6e9-fbf9-459a-9e1b-416dbcf51875e’",
        "language": "curl",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "N8QhhTSDO9fbQybTRclDg"
  },
  "description": "DELETE /mhl_record/{id}",
  "currentNewParameter": {
    "label": "Header Parameter",
    "value": "headerParameters"
  },
  "autoGeneratedAnchorSlug": "request-example-5",
  "legacyHash": "ftI3H5l6E9NnylbGQftGc"
}
```
:::

***


::::

***

